import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataOpentelekomcloudDnsNameserversV2Config extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/opentelekomcloud/d/dns_nameservers_v2#zone_id DataOpentelekomcloudDnsNameserversV2#zone_id}
    */
    readonly zoneId?: string;
    /**
    * nameservers block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/opentelekomcloud/d/dns_nameservers_v2#nameservers DataOpentelekomcloudDnsNameserversV2#nameservers}
    */
    readonly nameservers?: DataOpentelekomcloudDnsNameserversV2Nameservers[] | cdktf.IResolvable;
}
export interface DataOpentelekomcloudDnsNameserversV2Nameservers {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/opentelekomcloud/d/dns_nameservers_v2#hostname DataOpentelekomcloudDnsNameserversV2#hostname}
    */
    readonly hostname?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/opentelekomcloud/d/dns_nameservers_v2#priority DataOpentelekomcloudDnsNameserversV2#priority}
    */
    readonly priority?: number;
}
export declare function dataOpentelekomcloudDnsNameserversV2NameserversToTerraform(struct?: DataOpentelekomcloudDnsNameserversV2Nameservers | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/opentelekomcloud/d/dns_nameservers_v2 opentelekomcloud_dns_nameservers_v2}
*/
export declare class DataOpentelekomcloudDnsNameserversV2 extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "opentelekomcloud_dns_nameservers_v2";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/opentelekomcloud/d/dns_nameservers_v2 opentelekomcloud_dns_nameservers_v2} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataOpentelekomcloudDnsNameserversV2Config = {}
    */
    constructor(scope: Construct, id: string, config?: DataOpentelekomcloudDnsNameserversV2Config);
    get id(): string;
    private _zoneId?;
    get zoneId(): string;
    set zoneId(value: string);
    resetZoneId(): void;
    get zoneIdInput(): string | undefined;
    private _nameservers?;
    get nameservers(): DataOpentelekomcloudDnsNameserversV2Nameservers[] | cdktf.IResolvable;
    set nameservers(value: DataOpentelekomcloudDnsNameserversV2Nameservers[] | cdktf.IResolvable);
    resetNameservers(): void;
    get nameserversInput(): cdktf.IResolvable | DataOpentelekomcloudDnsNameserversV2Nameservers[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-opentelekomcloud-dns-nameservers-v2.d.ts.map